package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(im_group):
 */
public class ImGroup {

	/**  */
	private Long id;
	
	/** 群名称 */
	private String name;
	
	/** 群介绍 */
	private String introduce;
	
	/** 群成员数 */
	private Integer memberNum;
	
	/** 群备注 */
	private String memo;
	
	/** 群标签 */
	private String tags;
	
	private String img;
	
	private String type;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setIntroduce(String introduce){
		this.introduce = introduce;
	}
	
	public String getIntroduce(){
		return this.introduce;
	}
			
	public void setMemberNum(Integer memberNum){
		this.memberNum = memberNum;
	}
	
	public Integer getMemberNum(){
		return this.memberNum;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setTags(String tags){
		this.tags = tags;
	}
	
	public String getTags(){
		return this.tags;
	}
			
	public String getImg() {
		return img;
	}

	public void setImg(String img) {
		this.img = img;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
